## org.apache.tools.ant.taskdefs.optional.sitraka
Class StringUtil

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.sitraka.StringUtil

public final class StringUtil
extends java.lang.Object

String utilities method.

Author:
  Stephane Bailliez

Method Summary
`static void` `replace(java.lang.StringBuffer src, java.lang.String find, java.lang.String replacement)` Replaces all occurences of `find` with `replacement` in the source StringBuffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### replace

    public static void replace(java.lang.StringBuffer src,
                               java.lang.String find,
                               java.lang.String replacement)

  Replaces all occurences of `find` with `replacement` in the source StringBuffer.

  Parameters:
    `src` - the original string buffer to modify.
    `find` - the string to be replaced.
    `replacement` - the replacement string for `find` matches.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.